/*
 *	$Id: ssmdef.h,v 1.1 2010/06/11 01:21:30 ca Exp $
 */

#ifndef SSMDEF_H
#define SSMDEF_H 1

#define PMM_END			0x0000	/* end of macro list */

#define PMM_SRVHOSTNAME		0x0001	/* hostname of server */

#define PMM_SEID			0x0010	/* session id */
#define PMM_CLIENT_RESOLVE	0x0011	/* result of client lookups */
#define PMM_CLIENT_IP		0x0012
#define PMM_CLIENT_NAME		0x0013

#define PMM_TLS_VERSION		0x0020
#define PMM_TLS_CIPHER_SUITE	0x0021
#define PMM_TLS_CIPHER_BITS	0x0022
#define PMM_TLS_CERT_SUBJECT	0x0023
#define PMM_TLS_CERT_ISSUER	0x0024
#define PMM_TLS_ALG_BITS	0x0025
#define PMM_TLS_VRFY		0x0026
#define PMM_TLS_CN_SUBJECT	0x0027
#define PMM_TLS_CN_ISSUER	0x0028

#define PMM_AUTH_TYPE		0x0030
#define PMM_AUTH_AUTHEN		0x0031
#define PMM_AUTH_AUTHOR		0x0032

#define PMM_MAIL_TAID		0x0040	/* transaction id */
#define PMM_MAIL			0x0041

#define PMM_RCPT			0x0050
#define PMM_TA_NRCPTS_TOTAL	0x0051
#define PMM_TA_NRCPTS_OK	0x0052

#define PMM_NTAS			0x0060
#define PMM_SE_NRCPTS_TOTAL	0x0061

#define PMM_DOT_MSGID		0x0080
#define PMM_MSG_SZ			0x0081
#define PMM_DOT_HOPS		0x0100	/* hop count */


#endif /* ! SSMDEF_H */
